Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.text
Class Inflector.Rule

    java.lang.Object
      org.modeshape.common.text.Inflector.Rule

Enclosing class:
  Inflector

    protected class Inflector.Rule

extends Object

Field Summary
`protected String` | `expression`
`protected Pattern` | `expressionPattern`
`protected String` | `replacement`

Constructor Summary
`protected` | `Inflector.Rule(String expression, String replacement)`

Method Summary
`protected String` | `apply(String input)` Apply the rule against the input string, returning the modified string or null if the rule didn't apply (and no modifications were made)
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### expression

    protected final String expression

### expressionPattern

    protected final Pattern expressionPattern

### replacement

    protected final String replacement

Constructor Detail

### Inflector.Rule

    protected Inflector.Rule(String expression,
                             String replacement)

Method Detail

### apply

    protected String apply(String input)

  Apply the rule against the input string, returning the modified string or null if the rule didn't apply (and no modifications were made)

  Parameters:
    `input` - the input string
  Returns:
    the modified string if this rule applied, or null if the input was not modified by this rule

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.